%define libname   %mklibname spreadsheet %version
%define develname %mklibname spreadsheet -d

%define goffice %(rpm -q --queryformat %%{VERSION} goffice)

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%define goffice_patch_ver %(echo %{version}|cut -d. -f3)

Name:		gnumeric
Summary:	A full-featured spreadsheet for GNOME
Version:	1.12.57
Release:	%mkrel 2
License:	GPLv2+
Group:		Office/Spreadsheet
URL:		https://www.gnome.org/projects/gnumeric/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.8.7
BuildRequires:	pkgconfig(libgoffice-0.10) >= 0.10.%{goffice_patch_ver}
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.33
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires:	pkgconfig(pango) >= 1.24.0
BuildRequires:	pkgconfig(pangocairo) >= 1.24.0
BuildRequires:	pkgconfig(pxlib) >= 0.4.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires:	perl-devel
BuildRequires:	scrollkeeper
BuildRequires:	itstool
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	bison
BuildRequires:	docbook-dtds
BuildRequires:  gtk-doc

%description
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with
Excel, you should be ready to use Gnumeric.  It tries to clone all of
the good features and stay as compatible as possible with Excel in terms of
usability. Hopefully the bugs have been left behind :).

%package -n %libname
Summary:	Spreadsheet library from Gnumeric
Group:		System/Libraries

%description -n %libname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with
Excel, you should be ready to use Gnumeric.  It tries to clone all of
the good features and stay as compatible as possible with Excel in terms of
usability. Hopefully the bugs have been left behind :).

%package -n %develname
Summary:	Spreadsheet library from Gnumeric - development files
Group:		Development/C
Requires:	%libname = %{version}
Provides:	libspreadsheet-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with
Excel, you should be ready to use Gnumeric.  It tries to clone all of
the good features and stay as compatible as possible with Excel in terms of
usability. Hopefully the bugs have been left behind :).

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

rm -vf %{buildroot}%{_datadir}/%{name}/%{version}/perl/*/auto/Gnumeric/.packlist
rm -rf %{buildroot}/var

find %{buildroot} -name '*.la' -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Science" \
  --remove-category="Math" \
  --remove-category="Application" \
  --remove-mime-type="zz-application/zz-winassoc-xls" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS BUGS README
%{_bindir}/*
%{_libdir}/goffice/*/plugins/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*%{name}*
%{_mandir}/man1/*
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}*.xml
%{_metainfodir}/org.gnumeric.%{name}.appdata.xml

%files -n %libname
%{_libdir}/libspreadsheet-%{version}.so

%files -n %develname
%{_libdir}/libspreadsheet.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libspreadsheet-*


%changelog
* Fri Aug 23 2024 tv <tv> 1.12.57-2.mga10
+ Revision: 2089672
- Rebuild for perl-5.40

* Mon Mar 18 2024 daviddavid <daviddavid> 1.12.57-1.mga10
+ Revision: 2050336
- new version 1.12.57

* Tue Dec 19 2023 papoteur <papoteur> 1.12.56-3.mga10
+ Revision: 2019168
- Mass Rebuild - Python 3.12

* Tue Dec 05 2023 daviddavid <daviddavid> 1.12.56-2.mga10
+ Revision: 2013208
- add upstream patch to fix build with libxml2 2.12.0
- rebuild for new perl 5.38.0

* Mon Nov 27 2023 daviddavid <daviddavid> 1.12.56-1.mga10
+ Revision: 2009943
- new version 1.12.56

* Sat Feb 04 2023 daviddavid <daviddavid> 1.12.55-1.mga9
+ Revision: 1938190
- new version 1.12.55

* Mon Oct 24 2022 ghibo <ghibo> 1.12.53-1.mga9
+ Revision: 1898994
- Build against 1.12.53 sources.
- Update BuildRequires versions.
+ ovitters <ovitters>
- new version 1.12.53

* Tue Jun 07 2022 umeabot <umeabot> 1.12.52-3.mga9
+ Revision: 1863223
- Rebuild for Perl 5.36
- Rebuild for Perl 5.36
+ ovitters <ovitters>
- new version 1.12.52

* Thu Mar 31 2022 umeabot <umeabot> 1.12.51-3.mga9
+ Revision: 1836362
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1.12.51-2.mga9
+ Revision: 1778419
- Rebuild for python-3.10

* Thu Jan 20 2022 ovitters <ovitters> 1.12.51-1.mga9
+ Revision: 1769226
- new version 1.12.51

* Fri Jun 11 2021 ovitters <ovitters> 1.12.50-1.mga9
+ Revision: 1730363
- new version 1.12.50

* Mon May 24 2021 umeabot <umeabot> 1.12.49-2.mga9
+ Revision: 1726363
- Rebuild for perl 5.34

* Fri May 21 2021 ovitters <ovitters> 1.12.49-1.mga9
+ Revision: 1725924
- new version 1.12.49

* Fri Aug 28 2020 martinw <martinw> 1.12.48-1.mga8
+ Revision: 1619443
- new version 1.12.48

* Wed Aug 05 2020 joequant <joequant> 1.12.47-3.mga8
+ Revision: 1611135
- add gtk-doc

* Wed Jun 17 2020 umeabot <umeabot> 1.12.47-2.mga8
+ Revision: 1594213
- Rebuild for perl 5.32

* Sun May 10 2020 ovitters <ovitters> 1.12.47-1.mga8
+ Revision: 1582408
- new version 1.12.47
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 1.12.46-2.mga8
+ Revision: 1538214
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 16 2019 daviddavid <daviddavid> 1.12.46-1.mga8
+ Revision: 1461127
- new version 1.12.46

* Tue Aug 27 2019 tmb <tmb> 1.12.45-3.mga8
+ Revision: 1433972
- rebuild for perl 5.30

* Fri Aug 09 2019 tv <tv> 1.12.45-2.mga8
+ Revision: 1428409
- drop patch disabling langs now that we've a fixed libxml

* Fri Aug 09 2019 tv <tv> 1.12.45-1.mga8
+ Revision: 1428315
- new release
- new release

* Sat Nov 24 2018 ovitters <ovitters> 1.12.44-1.mga7
+ Revision: 1333875
- new version 1.12.44

* Sun Sep 23 2018 umeabot <umeabot> 1.12.43-2.mga7
+ Revision: 1297997
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 ovitters <ovitters> 1.12.43-1.mga7
+ Revision: 1252911
- new version 1.12.43
- dropped merged patch gnumeric-1.12.42-fix-tools-and-widget-headers-path.patch

* Tue Aug 14 2018 daviddavid <daviddavid> 1.12.42-2.mga7
+ Revision: 1251547
- add upstream patch to install tools and widget headers in the right place

* Fri Aug 10 2018 ovitters <ovitters> 1.12.42-1.mga7
+ Revision: 1250872
- new version 1.12.42

* Tue Aug 07 2018 daviddavid <daviddavid> 1.12.41-2.mga7
+ Revision: 1248465
- rebuild for new perl 5.28.0

* Tue May 08 2018 ovitters <ovitters> 1.12.41-1.mga7
+ Revision: 1227586
- new version 1.12.41

* Tue May 01 2018 ovitters <ovitters> 1.12.40-1.mga7
+ Revision: 1224107
- new version 1.12.40

* Wed Mar 14 2018 ovitters <ovitters> 1.12.39-1.mga7
+ Revision: 1209158
- new version 1.12.39

* Fri Dec 29 2017 ovitters <ovitters> 1.12.38-1.mga7
+ Revision: 1187179
- new version 1.12.38
- new version 1.12.37

* Sun Nov 19 2017 ovitters <ovitters> 1.12.36-1.mga7
+ Revision: 1177698
- new version 1.12.36

* Wed Oct 18 2017 cjw <cjw> 1.12.35-4.mga7
+ Revision: 1172602
- add buildrequires: docbook-dtds

* Thu Aug 31 2017 pterjan <pterjan> 1.12.35-3.mga7
+ Revision: 1150261
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.12.35-2.mga7
+ Revision: 1127658
- Rebuild against new Perl 5.26

* Mon Jul 17 2017 ovitters <ovitters> 1.12.35-1.mga7
+ Revision: 1124507
- new version 1.12.35

* Tue Apr 25 2017 akien <akien> 1.12.34-1.mga6
+ Revision: 1097397
- Fix help files packaging
+ ovitters <ovitters>
- new version 1.12.34
- new version 1.12.33

* Tue Oct 11 2016 pterjan <pterjan> 1.12.32-3.mga6
+ Revision: 1060192
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Fri Oct 07 2016 ovitters <ovitters> 1.12.32-2.mga6
+ Revision: 1059470
- new version 1.12.32

* Mon Jun 27 2016 ovitters <ovitters> 1.12.30-1.mga6
+ Revision: 1037930
- new version 1.12.30

* Sat May 07 2016 ovitters <ovitters> 1.12.29-1.mga6
+ Revision: 1010105
- new version 1.12.29

* Wed Mar 23 2016 ovitters <ovitters> 1.12.28-1.mga6
+ Revision: 994226
- new version 1.12.28

* Mon Feb 15 2016 pterjan <pterjan> 1.12.27-1.mga6
+ Revision: 960502
- Add missing BuildRequires
+ ovitters <ovitters>
- new version 1.12.27

* Mon Dec 28 2015 ovitters <ovitters> 1.12.26-1.mga6
+ Revision: 916647
- new version 1.12.26

* Fri Dec 25 2015 ovitters <ovitters> 1.12.25-1.mga6
+ Revision: 914655
- new version 1.12.25

* Wed Oct 14 2015 ovitters <ovitters> 1.12.24-1.mga6
+ Revision: 891146
- new version 1.12.24

* Wed Jul 29 2015 ovitters <ovitters> 1.12.23-1.mga6
+ Revision: 858803
- new version 1.12.23

* Fri Jun 26 2015 tv <tv> 1.12.22-2.mga6
+ Revision: 844618
- rebuild for perl-5.22

* Sat Jun 20 2015 ovitters <ovitters> 1.12.22-1.mga6
+ Revision: 836375
- new version 1.12.22

* Thu Feb 05 2015 ovitters <ovitters> 1.12.20-1.mga5
+ Revision: 813521
- new version 1.12.20

* Sun Jan 25 2015 ovitters <ovitters> 1.12.19-1.mga5
+ Revision: 812215
- new version 1.12.19

* Wed Oct 15 2014 umeabot <umeabot> 1.12.18-2.mga5
+ Revision: 747124
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 1.12.18-1.mga5
+ Revision: 732528
- new version 1.12.18

* Tue Sep 16 2014 umeabot <umeabot> 1.12.17-2.mga5
+ Revision: 679825
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 ovitters <ovitters> 1.12.17-1.mga5
+ Revision: 635308
- new version 1.12.17

* Mon May 26 2014 fwang <fwang> 1.12.16-1.mga5
+ Revision: 626574
- 1.12.16

* Thu May 01 2014 ovitters <ovitters> 1.12.15-1.mga5
+ Revision: 619121
- new version 1.12.15

* Sun Apr 13 2014 ovitters <ovitters> 1.12.14-1.mga5
+ Revision: 613897
- new version 1.12.14

* Tue Mar 18 2014 ovitters <ovitters> 1.12.13-1.mga5
+ Revision: 605196
- new version 1.12.13

* Tue Mar 04 2014 ovitters <ovitters> 1.12.12-1.mga5
+ Revision: 599246
- new version 1.12.12

* Sun Feb 16 2014 ovitters <ovitters> 1.12.11-1.mga5
+ Revision: 592809
- new version 1.12.11

* Wed Feb 12 2014 fwang <fwang> 1.12.10-1.mga5
+ Revision: 589598
- raise build requires
+ ovitters <ovitters>
- new version 1.12.10

* Fri Nov 29 2013 ovitters <ovitters> 1.12.9-1.mga4
+ Revision: 554018
- new version 1.12.9

* Mon Oct 21 2013 umeabot <umeabot> 1.12.8-2.mga4
+ Revision: 539703
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 1.12.8-1.mga4
+ Revision: 492813
- new version 1.12.8

* Sun Sep 01 2013 ovitters <ovitters> 1.12.7-1.mga4
+ Revision: 474165
- new version 1.12.7

* Wed Aug 28 2013 ovitters <ovitters> 1.12.6-1.mga4
+ Revision: 472479
- new version 1.12.6

* Tue Aug 20 2013 fwang <fwang> 1.12.5-1.mga4
+ Revision: 468030
- new version 1.12.5

* Mon Jul 15 2013 ovitters <ovitters> 1.12.4-1.mga4
+ Revision: 454408
- new version 1.12.4

* Wed Jun 26 2013 fwang <fwang> 1.12.3-1.mga4
+ Revision: 446709
- new version 1.12.3

* Thu May 30 2013 dams <dams> 1.12.2-1.mga4
+ Revision: 433234
- new version 1.12.2
- remove 'automake' and 'gda' patches
- update/clean specfile

* Wed May 29 2013 tv <tv> 1.12.0-5.mga4
+ Revision: 430246
- rebuild for new perl

* Fri Jan 18 2013 fwang <fwang> 1.12.0-4.mga3
+ Revision: 389274
- disable gda 4.0 req

* Sat Jan 12 2013 umeabot <umeabot> 1.12.0-3.mga3
+ Revision: 352364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.12.0-2.mga3
+ Revision: 339180
- patch6: list testcases in test/Makefile.am to fix build with automake 1.13

* Wed Dec 19 2012 fwang <fwang> 1.12.0-1.mga3
+ Revision: 332752
- bump req
+ ovitters <ovitters>
- new version 1.12.0

* Sat Nov 17 2012 ovitters <ovitters> 1.11.90-1.mga3
+ Revision: 319029
- new version 1.11.90

* Thu Nov 08 2012 fwang <fwang> 1.11.6-2.mga3
+ Revision: 316369
- update rpm group

* Fri Sep 07 2012 fwang <fwang> 1.11.6-1.mga3
+ Revision: 289065
- bump goffice req
+ ovitters <ovitters>
- new version 1.11.6

* Mon Jul 16 2012 ovitters <ovitters> 1.11.5-1.mga3
+ Revision: 271173
- new version 1.11.5

* Tue Jun 26 2012 fwang <fwang> 1.11.4-1.mga3
+ Revision: 263803
- update br
+ ovitters <ovitters>
- new version 1.11.4

* Sun Apr 22 2012 ovitters <ovitters> 1.11.3-1.mga2
+ Revision: 232494
- new version 1.11.3
- fix source url
+ fwang <fwang>
- drop unused switch

* Sat Mar 03 2012 fwang <fwang> 1.11.2-1.mga2
+ Revision: 217092
- update br
- br gettex
- new version 1.11.2
- new version 1.11.2

* Mon Nov 28 2011 fwang <fwang> 1.11.1-1.mga2
+ Revision: 173517
- bump go req
- new version 1.11.1

* Sat Nov 26 2011 fwang <fwang> 1.11.0-1.mga2
+ Revision: 171999
- cleanup spec file
- add embedder from git
- new version 1.11.0

* Wed Sep 21 2011 fwang <fwang> 1.10.17-2.mga2
+ Revision: 146274
- drop .la files
- br perl-devel
- new version 1.10.17

* Fri Jun 24 2011 cjw <cjw> 1.10.16-1.mga2
+ Revision: 113183
- patch6: fix build
+ dmorgan <dmorgan>
- Rebuild against new goffice
+ tmb <tmb>
- rebuild for goffice 0.8.16
+ fwang <fwang>
- new version 1.10.16

* Sun May 15 2011 pterjan <pterjan> 1.10.14-2.mga1
+ Revision: 98929
- Rebuild for fixed find-requires

* Fri Apr 15 2011 dams <dams> 1.10.14-1.mga1
+ Revision: 85553
- update to 1.10.14

* Thu Apr 14 2011 dams <dams> 1.10.13-2.mga1
+ Revision: 85215
+ rebuild (emptylog)

* Thu Feb 24 2011 ennael <ennael> 1.10.13-1.mga1
+ Revision: 59114
- clean spec file
- imported package gnumeric

